This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 1662 - pcmcia network card and dhcp (dependencies of scripts)
pcmcia network card and dhcp (dependencies of scripts)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
5.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-03-21 23:49 EST by Marc MERLIN
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-03-22 10:52:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marc MERLIN 1999-03-21 23:49:19 EST
The network script tries to do a dhcp request before the
pcmcia subsystem is configured. It fails after waiting for 5
sec or so, pcmcia is brought up, dhcp is done again and
succeeds.

Another problem is that routed is run before pcmcia is
brought up, so once the network comes up, it complains about
getting packets from unknown routers.
If routed is run after the network is brought up, it knows
what subnet it's on, and dowsn't complain about getting
updates from subnet routers.

To me, it looks like if pcmcia was brought up before
networking, it would solve both problems (and other ones,
like for instance ppp that dials automatically on a pcmcia
modem when networking is brought up).
Comment 1 Bill Nottingham 1999-03-22 10:52:59 EST
this should be fixed in 5.9; card services will be loaded
as soon as any pcmcia modules are requested.

You might try updating to the modutils in Starbuck/Rawhide
(recompile the SRPMS, the binaries are based on glibc2.1),
and adding the following line to your /etc/conf.modules:

pre-install pcmcia_core /etc/rc.d/init.d/pcmcia start

Note You need to log in before you can comment on or make changes to this bug.